import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { Performance } from '../../../apps/hedgefarm/avalanche/hedgefarm.types';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetDataPropsParams, GetPricePerShareParams } from '../../../position/template/app-token.template.types';
import { AlphaOne, HedgefarmContractFactory } from '../contracts';
export declare class AvalancheHedgefarmAlphaOneTokenFetcher extends AppTokenTemplatePositionFetcher<AlphaOne> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: HedgefarmContractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: HedgefarmContractFactory);
    getContract(address: string): AlphaOne;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions(): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare({ contract }: GetPricePerShareParams<AlphaOne>): Promise<number[]>;
    getApy(_params: GetDataPropsParams<AlphaOne>): Promise<number>;
    getPerformance(): Promise<Performance>;
}
